com.impinj.stp

## Class StpApi.Report.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.Report.Builder>
      - - com.impinj.stp.StpApi.Report.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.ReportOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.Report

      public static final class StpApi.Report.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.Report.Builder>
      implements StpApi.ReportOrBuilder

  Protobuf type `Impinj.STP.Report` Async messages from Impinj Device to Host

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.Report` | `build()`
    `StpApi.Report` | `buildPartial()`
    `StpApi.Report.Builder` | `clear()`
    `StpApi.Report.Builder` | `clearCartonContentsReport()`
    `StpApi.Report.Builder` | `clearDeviceEventReport()`
    `StpApi.Report.Builder` | `clearOperationSummaryReport()`
    `StpApi.Report.Builder` | `clearTagOperationReport()`
    `StpApi.Report.Builder` | `clone()`
    `StpApi.CartonContentsReport` | `getCartonContentsReport()`
    `StpApi.CartonContentsReport.Builder` | `getCartonContentsReportBuilder()`
    `StpApi.CartonContentsReportOrBuilder` | `getCartonContentsReportOrBuilder()`
    `StpApi.Report` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.DeviceEventReport` | `getDeviceEventReport()`
    `StpApi.DeviceEventReport.Builder` | `getDeviceEventReportBuilder()`
    `StpApi.DeviceEventReportOrBuilder` | `getDeviceEventReportOrBuilder()`
    `StpApi.OperationSummaryReport` | `getOperationSummaryReport()`
    `StpApi.OperationSummaryReport.Builder` | `getOperationSummaryReportBuilder()`
    `StpApi.OperationSummaryReportOrBuilder` | `getOperationSummaryReportOrBuilder()`
    `StpApi.TagOperationReport` | `getTagOperationReport()`
    `StpApi.TagOperationReport.Builder` | `getTagOperationReportBuilder()`
    `StpApi.TagOperationReportOrBuilder` | `getTagOperationReportOrBuilder()`
    `boolean` | `hasCartonContentsReport()`
    `boolean` | `hasDeviceEventReport()`
    `boolean` | `hasOperationSummaryReport()`
    `boolean` | `hasTagOperationReport()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.Report.Builder` | `mergeCartonContentsReport(StpApi.CartonContentsReport value)`
    `StpApi.Report.Builder` | `mergeDeviceEventReport(StpApi.DeviceEventReport value)`
    `StpApi.Report.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.Report.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.Report.Builder` | `mergeFrom(StpApi.Report other)`
    `StpApi.Report.Builder` | `mergeOperationSummaryReport(StpApi.OperationSummaryReport value)`
    `StpApi.Report.Builder` | `mergeTagOperationReport(StpApi.TagOperationReport value)`
    `StpApi.Report.Builder` | `setCartonContentsReport(StpApi.CartonContentsReport.Builder builderForValue)`
    `StpApi.Report.Builder` | `setCartonContentsReport(StpApi.CartonContentsReport value)`
    `StpApi.Report.Builder` | `setDeviceEventReport(StpApi.DeviceEventReport.Builder builderForValue)`
    `StpApi.Report.Builder` | `setDeviceEventReport(StpApi.DeviceEventReport value)`
    `StpApi.Report.Builder` | `setOperationSummaryReport(StpApi.OperationSummaryReport.Builder builderForValue)`
    `StpApi.Report.Builder` | `setOperationSummaryReport(StpApi.OperationSummaryReport value)`
    `StpApi.Report.Builder` | `setTagOperationReport(StpApi.TagOperationReport.Builder builderForValue)`
    `StpApi.Report.Builder` | `setTagOperationReport(StpApi.TagOperationReport value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Report.Builder>`

    - #### clear

          public StpApi.Report.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Report.Builder>`

    - #### clone

          public StpApi.Report.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Report.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Report.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.Report getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.Report build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.Report buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.Report.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Report.Builder>`

    - #### mergeFrom

          public StpApi.Report.Builder mergeFrom(StpApi.Report other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Report.Builder>`

    - #### mergeFrom

          public StpApi.Report.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Report.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasDeviceEventReport

          public boolean hasDeviceEventReport()

      Specified by:
        `hasDeviceEventReport` in interface `StpApi.ReportOrBuilder`

    - #### getDeviceEventReport

          public StpApi.DeviceEventReport getDeviceEventReport()

      Specified by:
        `getDeviceEventReport` in interface `StpApi.ReportOrBuilder`

    - #### setDeviceEventReport

          public StpApi.Report.Builder setDeviceEventReport(StpApi.DeviceEventReport value)

    - #### setDeviceEventReport

          public StpApi.Report.Builder setDeviceEventReport(StpApi.DeviceEventReport.Builder builderForValue)

    - #### mergeDeviceEventReport

          public StpApi.Report.Builder mergeDeviceEventReport(StpApi.DeviceEventReport value)

    - #### clearDeviceEventReport

          public StpApi.Report.Builder clearDeviceEventReport()

    - #### getDeviceEventReportBuilder

          public StpApi.DeviceEventReport.Builder getDeviceEventReportBuilder()

    - #### getDeviceEventReportOrBuilder

          public StpApi.DeviceEventReportOrBuilder getDeviceEventReportOrBuilder()

      Specified by:
        `getDeviceEventReportOrBuilder` in interface `StpApi.ReportOrBuilder`

    - #### hasTagOperationReport

          public boolean hasTagOperationReport()

      Specified by:
        `hasTagOperationReport` in interface `StpApi.ReportOrBuilder`

    - #### getTagOperationReport

          public StpApi.TagOperationReport getTagOperationReport()

      Specified by:
        `getTagOperationReport` in interface `StpApi.ReportOrBuilder`

    - #### setTagOperationReport

          public StpApi.Report.Builder setTagOperationReport(StpApi.TagOperationReport value)

    - #### setTagOperationReport

          public StpApi.Report.Builder setTagOperationReport(StpApi.TagOperationReport.Builder builderForValue)

    - #### mergeTagOperationReport

          public StpApi.Report.Builder mergeTagOperationReport(StpApi.TagOperationReport value)

    - #### clearTagOperationReport

          public StpApi.Report.Builder clearTagOperationReport()

    - #### getTagOperationReportBuilder

          public StpApi.TagOperationReport.Builder getTagOperationReportBuilder()

    - #### getTagOperationReportOrBuilder

          public StpApi.TagOperationReportOrBuilder getTagOperationReportOrBuilder()

      Specified by:
        `getTagOperationReportOrBuilder` in interface `StpApi.ReportOrBuilder`

    - #### hasOperationSummaryReport

          public boolean hasOperationSummaryReport()

      Specified by:
        `hasOperationSummaryReport` in interface `StpApi.ReportOrBuilder`

    - #### getOperationSummaryReport

          public StpApi.OperationSummaryReport getOperationSummaryReport()

      Specified by:
        `getOperationSummaryReport` in interface `StpApi.ReportOrBuilder`

    - #### setOperationSummaryReport

          public StpApi.Report.Builder setOperationSummaryReport(StpApi.OperationSummaryReport value)

    - #### setOperationSummaryReport

          public StpApi.Report.Builder setOperationSummaryReport(StpApi.OperationSummaryReport.Builder builderForValue)

    - #### mergeOperationSummaryReport

          public StpApi.Report.Builder mergeOperationSummaryReport(StpApi.OperationSummaryReport value)

    - #### clearOperationSummaryReport

          public StpApi.Report.Builder clearOperationSummaryReport()

    - #### getOperationSummaryReportBuilder

          public StpApi.OperationSummaryReport.Builder getOperationSummaryReportBuilder()

    - #### getOperationSummaryReportOrBuilder

          public StpApi.OperationSummaryReportOrBuilder getOperationSummaryReportOrBuilder()

      Specified by:
        `getOperationSummaryReportOrBuilder` in interface `StpApi.ReportOrBuilder`

    - #### hasCartonContentsReport

          public boolean hasCartonContentsReport()

      Specified by:
        `hasCartonContentsReport` in interface `StpApi.ReportOrBuilder`

    - #### getCartonContentsReport

          public StpApi.CartonContentsReport getCartonContentsReport()

      Specified by:
        `getCartonContentsReport` in interface `StpApi.ReportOrBuilder`

    - #### setCartonContentsReport

          public StpApi.Report.Builder setCartonContentsReport(StpApi.CartonContentsReport value)

    - #### setCartonContentsReport

          public StpApi.Report.Builder setCartonContentsReport(StpApi.CartonContentsReport.Builder builderForValue)

    - #### mergeCartonContentsReport

          public StpApi.Report.Builder mergeCartonContentsReport(StpApi.CartonContentsReport value)

    - #### clearCartonContentsReport

          public StpApi.Report.Builder clearCartonContentsReport()

    - #### getCartonContentsReportBuilder

          public StpApi.CartonContentsReport.Builder getCartonContentsReportBuilder()

    - #### getCartonContentsReportOrBuilder

          public StpApi.CartonContentsReportOrBuilder getCartonContentsReportOrBuilder()

      Specified by:
        `getCartonContentsReportOrBuilder` in interface `StpApi.ReportOrBuilder`